// pages/circleMoment/circleMoment.js
import Dialog from '../../dist/dialog/dialog';
import Notify from '../../dist/notify/notify';
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    circleId: 0,
    page:0,

    pageCount:0,
    isOwner: false,
    momentList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    if (options != undefined && options.circleId) {
      that.setData({
        circleId: options.circleId
      })
    }
    that.setData({
      page:0,
      momentList:[]
    })
    this.getMomentList();

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
 * 页面上拉触底事件的处理函数
 */
  onReachBottom: function () {
    //触底以后加载更多
    if ((this.data.page + 1) < this.data.pageCount) {
      var pageIndex = this.data.page + 1
      this.setData({
        page: pageIndex
      })
      this.getMomentList();
    } else {
      wx.showToast({
        title: '没有更多消息啦。',
        icon: 'success',
        duration: 2000
      });
    }
  },

  //获取动态列表
  getMomentList() {
    var that = this;
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_circle_moment_list.php',
      data: {
        unionId: config.unionId,
        circleId: that.data.circleId,
        page: that.data.page
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            isOwner: res.data.result.isOwner,
            pageCount: res.data.result.pageCount,
            momentList: that.data.momentList.concat(res.data.result.momentList)
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //发布动态
  momentNew() {
    wx.navigateTo({
      url: '../newCircleMoment/newCircleMoment?circleId=' + this.data.circleId,
    });
  },

  //删除
  deleteMoment(e) {
    var that = this;
    let momentId = e.currentTarget.dataset['index']
    var config = wx.getStorageSync('config');
    Dialog.confirm({
      title: '',
      message: '是否删除动态?'
    }).then(() => {
      //取消报名处理
      wx.request({
        url: app.url + 'ajax_delete_circle_moment.php',
        data: {
          unionId: config.unionId,
          circleId: that.data.circleId,
          momentId: momentId
        },
        header: { 'content-type': 'application/json' },
        method: 'GET',
        dataType: 'json',
        success: function (res) {
          console.log(res)
          if (res.statusCode == 200) {
            Notify({ type: 'success', message: res.data.result.message });
            //刷新本页面
            if (res.data.status == "OK") {
              that.onLoad();
            }
          }
        },
        fail: function (res) {
          Notify({ type: 'danger', message: res.data.result.message });
        },
        complete: function (res) { },
      })
    }).catch(() => {

    });

  }


})